<template>
  <div id="item">
    <h4>{{item.name}}</h4>
    <p>{{item.description}}</p>
    <h5>Attribute</h5>
    <ul>
      <li v-for="stat in item.stats" :key="stat.name">
        {{stat.name}}: {{stat.value}}
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  props: {
    item: Object
  },
  created() {
    console.log(this.item)
  }

};
</script>

<style lang="sass" scoped>
  #item
    background-color: $primary;
    vertical-align: middle;
    padding: .3em 2em;
</style>
